<div class="col-md-10 col-sm-11">
  <!--<button type="button" class="slide-toggle">Slide Toggle</button> -->
  <div class="main-dash-right">

    <!--Skeleton-->
    <div class="fb-item" *ngIf="isLoadingProfile">
      <div class="first-section-wrapper">
        <div class="row">
          <div class="col-md-2">
            <div class="gravatar">
              <ngx-skeleton-loader appearance="circle" [theme]="{ width: '150px', height: '150px' }">
              </ngx-skeleton-loader>
            </div>
          </div>
          <div class="col-md-6">
            <div class="gravatar-title skeleton-padding">
              <div>
                <ngx-skeleton-loader
                  [theme]="{width: '200px','border-radius': '0',height: '15px','margin-bottom': '10px'}"
                ></ngx-skeleton-loader>
              </div>
              <div>
                <ngx-skeleton-loader
                  [theme]="{ width: '170px', 'border-radius': '0', height: '15px' }"
                ></ngx-skeleton-loader>
              </div>
              <div>
                <ngx-skeleton-loader
                  [theme]="{ width: '120px', 'border-radius': '0', height: '15px' }"
                ></ngx-skeleton-loader>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="second-section-wrapper skeleton-margin">
        <div class="wrapper">
          <ngx-skeleton-loader count="3"
            [theme]="{width: '80%','border-radius': '0',height: '15px','margin-bottom': '10px'}"
          ></ngx-skeleton-loader>
        </div>
        <div class="wrapper">
          <ngx-skeleton-loader count="3"
            [theme]="{width: '90%','border-radius': '0',height: '15px','margin-bottom': '10px'}"
          ></ngx-skeleton-loader>
        </div>
        <div class="wrapper">
          <ngx-skeleton-loader count="3"
            [theme]="{width: '60%','border-radius': '0',height: '15px','margin-bottom': '10px'}"
          ></ngx-skeleton-loader>
        </div>
      </div>
    </div>

    <div class="row" *ngIf="!isLoadingProfile">
      <div class="col-xs-12">
        <div class="title-heading marginbottom20">
          <h2>PROFILE</h2>
        </div>
        <div class="profile-summary">
          <div class="profile-img">
            <img src="{{(contractorData.profileImage) || 'assets/images/avatar.png'}}"
                 onError="this.src='assets/images/avatar.png';" alt="">
            <span class="upload-photo"><input type="file" (change)="uploadProfileImage($event)">upload Photo</span>
            <h5 *ngIf="uploadingImage">Please wait, Uploading...</h5>
          </div>
          <div class="contractor-details">
            <h3 class="cont-name">{{contractorData.firstName + ' ' + contractorData.lastName}}</h3>
            <div class="contractor-rating">
              <img src="assets/images/start.png" alt=""> <span>({{contractorData.ratingsCount}})</span>
            </div>
            <div class="done-jobs">
              <p>{{contractorData.jobsCount}} jobs done</p>
            </div>
          </div>
        </div>

        <div class="profile-dettails-wrap default-tabs">
          <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#profile">Profile</a></li>
            <li><a data-toggle="tab" href="#skill">Skills</a></li>
            <li><a data-toggle="tab" href="#experience">Experience</a></li>
            <li><a data-toggle="tab" href="#about">About</a></li>
          </ul>

          <div class="tab-content">
            <div id="profile" class="tab-pane fade in active">
              <form class="formwrap row" [formGroup]="profileForm" (ngSubmit)="saveProfile()">

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label for="">First Name</label>
                  <input type="text" class="form-control" placeholder="Enter first name" formControlName="firstName">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.firstName.errors?.required">Please enter first name.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label for="">Last Name</label>
                  <input type="text" class="form-control" placeholder="Enter last name" formControlName="lastName">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.lastName.errors?.required">Please enter last name.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label for="">Email</label>
                  <input type="text" class="form-control" placeholder="Enter phone number" formControlName="email">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.email.errors?.required">Please enter email address.</div>
                    <div *ngIf="fp.email.errors?.email">Email must be a valid email address.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label for="">Phone Number</label>
                  <input type="email" class="form-control" placeholder="Enter email" formControlName="phoneNumber"
                         placeholder="+12345678900" (keyup)="validatePhoneNumber(profileForm.value.phoneNumber)">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.phoneNumber.errors?.required">Please enter phone number.</div>
                    <div *ngIf="!fp.phoneNumber.errors?.required && !isValidPhoneNumber">Please enter a valid phone number.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label>Apartment No</label>
                  <input type="text" class="form-control" placeholder="Apartment No" formControlName="aptNumber">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.aptNumber.errors?.required">Please enter your apartment number.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label>Street Address</label>
                  <input type="text" class="form-control" placeholder="Street Address" formControlName="streetAddress">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.streetAddress.errors?.required">Please enter your street address.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label>City</label>
                  <input type="text" class="form-control" placeholder="City" formControlName="city">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.city.errors?.required">Please enter your city.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label>Province</label>
                  <input type="text" class="form-control" placeholder="Province" formControlName="province">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.province.errors?.required">Please enter your province.</div>
                  </div>
                </div>

                <div class="form-element col-md-4 col-sm-6 col-xs-12">
                  <label>Postal Code</label>
                  <input type="text" class="form-control" placeholder="Postal Code" formControlName="postalCode">
                  <div class="help-block" *ngIf="profileFormSubmit">
                    <div *ngIf="fp.postalCode.errors?.required">Please enter your postal code.</div>
                  </div>
                </div>

                <div class="form-element col-md-offset-8 col-md-4 col-sm-6 col-xs-12">
                  <input type="submit" class="form-sumbit-orange margintop20" value="Save">
                </div>
              </form>
            </div>
            <div id="skill" class="tab-pane fade">
              <ul class="skill-wrap">
                <li *ngFor="let service of skills">
                  <h5>{{service.name}}</h5>
                  <p>{{service.jobsDone}} job done</p>
                </li>
              </ul>
            </div>
            <div id="experience" class="tab-pane fade">
              <div class="row">
                <div class="col-md-3">
                  <button class="form-sumbit-orange" (click)="addExperience()">Add Certificate</button>
                </div>
              </div>
              <form class="formwrap row experience-section" [formGroup]="experienceForm" (ngSubmit)="saveExperience()">
                <div class="form-element col-md-3 col-sm-6 col-xs-12">
                  <label for="">Experience</label>
                  <input type="text" class="form-control" placeholder="Years" formControlName="experience">
                </div>
                <div class="form-element col-md-12 col-sm-6 col-xs-12"></div>
                <div formArrayName="certificates"
                     *ngFor="let item of experienceForm.controls.certificates.controls; let i = index">
                  <div [formGroupName]="i">
                    <div class="form-element col-md-3 col-sm-6 col-xs-12">
                      <label for="">Certificate Name</label>
                      <input type="text" class="form-control" formControlName="name">
                    </div>

                    <div class="form-element col-md-3 col-sm-6 col-xs-12">
                      <label for="">Institution Name</label>
                      <input type="text" class="form-control" formControlName="institutionName">
                    </div>

                    <div class="form-element col-md-3 col-sm-6 col-xs-12">
                      <label for="">Category</label>
                      <input type="text" class="form-control" formControlName="category">
                    </div>

                    <div class="form-element col-md-2 col-sm-6 col-xs-12">
                      <label for="">Year</label>
                      <input type="email" class="form-control" formControlName="year">
                    </div>

                    <div class="form-element col-md-1 col-sm-12 col-xs-12">
                      <label for=""> </label>
                      <input type="button" class="form-sumbit-orange" value="X" (click)="removeExperience(i)">
                    </div>
                  </div>
                </div>

                <div class="form-element col-md-offset-9 col-md-3 col-sm-6 col-xs-12">
                  <input type="submit" class="form-sumbit-orange margintop20" value="Save">
                </div>
              </form>
            </div>
            <div id="about" class="tab-pane fade">
              <form class="formwrap row experience-section" [formGroup]="aboutForm" (ngSubmit)="saveAbout()">
                <div class="form-element col-md-12 col-sm-12 col-xs-12">
                  <label for="">Bio</label>
                  <textarea class="form-control bio-text-area" rows="4" cols="50"  formControlName="bio">
                  </textarea>
                </div>
                <div class="form-element col-md-offset-9 col-md-3 col-sm-6 col-xs-12">
                  <input type="submit" class="form-sumbit-orange margintop20" value="Save">
                </div>
              </form>
            </div>
          </div>
        </div>


      </div>

    </div>

  </div>
</div>
